Intel® Enhanced Privacy ID SDK 2.0.0

Macros | Functions
verify.c File Reference

Verify implementation. More...

`#include <string.h>`
`#include "epid/verifier/api.h"`
`#include "epid/verifier/context.h"`
`#include "epid/common/endian_convert.h"`

## Macros
#define | BREAK_ON_EPID_ERROR(ret)
| Handle SDK Error with Break. More...

## Functions
EpidStatus | EpidVerify (VerifierCtx const *ctx, EpidSignature const *sig, size_t sig_len, void const *msg, size_t msg_len, void const *basename, size_t basename_len)
| Verifies a signature and checks revocation status. More...

## Detailed Description

Verify implementation.

## Macro Definition Documentation

#define BREAK_ON_EPID_ERROR | ( |  | ret | ) |

Value:
if (kEpidNoErr != (ret)) { \
break; \
}
kEpidNoErr
no error
Definition: errors.h:41

Handle SDK Error with Break.